package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 直播房间数据表(ImLiveBroadcastRoomData)表实体类
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
@ApiModel(value = "im_live_broadcast_room_data-直播房间数据表")
public class ImLiveBroadcastRoomData implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间uid")
    private String roomUid;

    @TableField("like_num_")
    @ApiModelProperty(value = "累计点赞数")
    private Integer likeNum;

    @TableField("look_user_num_")
    @ApiModelProperty(value = "即时观看人员数")
    private Integer lookUserNum;

    @TableField("total_user_num_")
    @ApiModelProperty(value = "累计观看总人员数")
    private Integer totalUserNum;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    @TableField("live_time_")
    @ApiModelProperty(value = "直播时长")
    private Integer liveTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Integer getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(Integer likeNum) {
        this.likeNum = likeNum;
    }

    public Integer getLookUserNum() {
        return lookUserNum;
    }

    public void setLookUserNum(Integer lookUserNum) {
        this.lookUserNum = lookUserNum;
    }

    public Integer getTotalUserNum() {
        return totalUserNum;
    }

    public void setTotalUserNum(Integer totalUserNum) {
        this.totalUserNum = totalUserNum;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Integer getLiveTime() {
        return liveTime;
    }

    public void setLiveTime(Integer liveTime) {
        this.liveTime = liveTime;
    }

}

